"""
2D Forces plots
===================

Use the output of a harmonic coil and show the Field quality

Download Input files

* :download:`dipole_2d.data <../../../../../examples/input_files/dipole_2d.data>`
* :download:`dipole_2d.post.xml <../../../../../examples/input_files/dipole_2d.post.xml>`
"""

# %%
# Setting up
# ----------
# Standard Loading of input, Parsing and Initializing RoxiePlotOutputs object
#
from roxieapi.output.plots import RoxiePlotOutputs

plots = RoxiePlotOutputs(
    "../input_files/dipole_2d.post.xml", "../input_files/dipole_2d.data"
)

# %%
# Plotting the Roxie standard Forces plot
# -----------------------------------
# Show all forces as Graph, with y=Force, and x=Conductor number
#
parser = plots.output
forces = parser.get_conductor_forces()
if forces is not None:
    fig = plots.graphs.plot_forces(forces)
    fig

# %%
# Plotting as 2D crossection plot
# -------------------------------
# Same information, but for each force plot a separate crosssection plot
plots.plots2d.plot_conductor_forces()

# %%
# Show as table
# -------------
# Most output data is stored in Pandas Dataframes, so they can be used for tabular output (to display or files)
forces
